execute as @s at @s unless score @s Capacitor_Charge matches 0.. run scoreboard players set @s Capacitor_Charge 0
execute as @s at @s if score @s Capacitor_Charge matches 1201.. run scoreboard players set @s Capacitor_Charge 1200


execute as @s at @s if score @s Capacitor_Charge matches 0 run data modify entity @s block_state.Name set value "minecraft:air"
execute as @s at @s if score @s Capacitor_Charge matches 1..1200 run data modify entity @s block_state.Name set value "minecraft:lime_concrete"
execute as @s at @s if score @s Capacitor_Charge matches 1..1200 store result entity @s transformation.scale[1] float 0.00078125 run scoreboard players get @s Capacitor_Charge


execute as @s at @s if score @s Capacitor_Charge < @s output_count run tag @s remove powered
execute as @s at @s if score @s Capacitor_Charge matches 1..1199 if score @s input_count matches 1.. run tag @s remove powered

execute as @s at @s if score @s Capacitor_Charge matches 1..1200 if score @s Capacitor_Charge >= @s output_count if score @s input_count matches ..0 run tag @s add powered
execute as @s at @s if score @s Capacitor_Charge matches 1200.. if score @s input_count >= @s output_count run tag @s add powered

execute as @s[tag=!powered] at @s if score @s Capacitor_Charge matches ..1199 run scoreboard players operation @s Capacitor_Charge += @s input_count

execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 6.. if score @s input_count < @s output_count if score @s output_count matches 6 run scoreboard players operation @s Capacitor_Charge -= @s output_count
execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 5.. if score @s input_count < @s output_count if score @s output_count matches 5 run scoreboard players operation @s Capacitor_Charge -= @s output_count
execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 4.. if score @s input_count < @s output_count if score @s output_count matches 4 run scoreboard players operation @s Capacitor_Charge -= @s output_count
execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 3.. if score @s input_count < @s output_count if score @s output_count matches 3 run scoreboard players operation @s Capacitor_Charge -= @s output_count
execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 2.. if score @s input_count < @s output_count if score @s output_count matches 2 run scoreboard players operation @s Capacitor_Charge -= @s output_count
execute as @s[tag=powered] at @s if score @s Capacitor_Charge matches 1.. if score @s input_count < @s output_count if score @s output_count matches 1 run scoreboard players operation @s Capacitor_Charge -= @s output_count



# Determining number of inputs and outputs
execute as @s at @s run scoreboard players set @s input_count 0
execute as @s at @s run scoreboard players set @s output_count 0
execute as @s at @s if block ~-1 ~ ~ lightning_rod[facing=east,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~1 ~ ~ lightning_rod[facing=west,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~ ~-1 lightning_rod[facing=south,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~ ~1 lightning_rod[facing=north,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~-1 ~ lightning_rod[facing=up,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~1 ~ lightning_rod[facing=down,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~1 ~ ~ lightning_rod[facing=east] run scoreboard players add @s output_count 1
execute as @s at @s if block ~-1 ~ ~ lightning_rod[facing=west] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~ ~1 lightning_rod[facing=south] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~ ~-1 lightning_rod[facing=north] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~1 ~ lightning_rod[facing=up] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~-1 ~ lightning_rod[facing=down] run scoreboard players add @s output_count 1



# Power off
execute as @s[tag=!powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=false] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=false]
execute as @s[tag=!powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=false] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=false] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=false] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=false] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=false] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=false]

# Power on
execute as @s[tag=powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=false] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=true]
execute as @s[tag=powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=false] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=true]
execute as @s[tag=powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=false] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=true]
execute as @s[tag=powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=false] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=true]
execute as @s[tag=powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=false] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=true]
execute as @s[tag=powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=false] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=true]

# Power off waterlogged
execute as @s[tag=powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=true] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=true] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=true] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=true] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=true] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=true] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=true]

# Power on waterlogged
execute as @s[tag=!powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=true] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=true] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=true] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=true] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=true] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=true] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=true]