
# Determining number of inputs and outputs
execute as @s at @s run scoreboard players reset @s input_count
execute as @s at @s run scoreboard players reset @s output_count
execute as @s at @s if block ~-1 ~ ~ lightning_rod[facing=east,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~1 ~ ~ lightning_rod[facing=west,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~ ~-1 lightning_rod[facing=south,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~ ~1 lightning_rod[facing=north,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~-1 ~ lightning_rod[facing=up,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~ ~1 ~ lightning_rod[facing=down,powered=true] run scoreboard players add @s input_count 1
execute as @s at @s if block ~1 ~ ~ lightning_rod[facing=east] run scoreboard players add @s output_count 1
execute as @s at @s if block ~-1 ~ ~ lightning_rod[facing=west] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~ ~1 lightning_rod[facing=south] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~ ~-1 lightning_rod[facing=north] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~1 ~ lightning_rod[facing=up] run scoreboard players add @s output_count 1
execute as @s at @s if block ~ ~-1 ~ lightning_rod[facing=down] run scoreboard players add @s output_count 1

# Setting and updating a second score for comparison
execute as @s at @s run scoreboard players operation @s Input_Power = @s input_count
execute as @s at @s run scoreboard players operation @s Input_Power -= @s output_count

# Tagging
execute as @s if score @s Input_Power matches 0.. run tag @s add powered
execute as @s if score @s Input_Power matches ..-1 run tag @s remove powered

# Power off
execute as @s[tag=!powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=false] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=false]
execute as @s[tag=!powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=false] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=false] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=false] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=false] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=false]
execute as @s[tag=!powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=false] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=false]

# Power on
execute as @s[tag=powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=false] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=true]
execute as @s[tag=powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=false] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=true]
execute as @s[tag=powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=false] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=true]
execute as @s[tag=powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=false] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=true]
execute as @s[tag=powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=false] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=true]
execute as @s[tag=powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=false] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=true]

# Power off waterlogged
execute as @s[tag=powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=true] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=true] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=true] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=true] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=true] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=true]
execute as @s[tag=powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=true] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=true]

# Power on waterlogged
execute as @s[tag=!powered] at @s if block ~1 ~ ~ lightning_rod[facing=east,powered=true,waterlogged=true] run setblock ~1 ~ ~ lightning_rod[facing=east,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~-1 ~ ~ lightning_rod[facing=west,powered=true,waterlogged=true] run setblock ~-1 ~ ~ lightning_rod[facing=west,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~ ~1 lightning_rod[facing=south,powered=true,waterlogged=true] run setblock ~ ~ ~1 lightning_rod[facing=south,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~ ~-1 lightning_rod[facing=north,powered=true,waterlogged=true] run setblock ~ ~ ~-1 lightning_rod[facing=north,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~1 ~ lightning_rod[facing=up,powered=true,waterlogged=true] run setblock ~ ~1 ~ lightning_rod[facing=up,powered=false,waterlogged=true]
execute as @s[tag=!powered] at @s if block ~ ~-1 ~ lightning_rod[facing=down,powered=true,waterlogged=true] run setblock ~ ~-1 ~ lightning_rod[facing=down,powered=false,waterlogged=true]