# Allowing lightning bolts to power wires
execute as @s[type=lightning_bolt] at @s positioned ~ ~-1 ~ if block ~ ~ ~ minecraft:lightning_rod align xyz unless entity @e[type=marker,tag=wire,distance=...001] run summon marker ~.5 ~.5 ~.5 {Tags:["wire","copper_wiring"]}
execute as @s[type=lightning_bolt] at @s if block ~ ~ ~ minecraft:lightning_rod align xyz unless entity @e[type=marker,tag=wire,distance=...001] run summon marker ~.5 ~.5 ~.5 {Tags:["wire","copper_wiring"]}

# Looking at activation, deactivation, and alignment
execute as @a anchored eyes at @s positioned ^ ^ ^1 if block ~ ~ ~ lightning_rod run function copperwire:summon/looking
execute as @a anchored eyes at @s positioned ^ ^ ^2 if block ~ ~ ~ lightning_rod run function copperwire:summon/looking
execute as @a anchored eyes at @s positioned ^ ^ ^3 if block ~ ~ ~ lightning_rod run function copperwire:summon/looking
execute as @a anchored eyes at @s positioned ^ ^ ^4 if block ~ ~ ~ lightning_rod run function copperwire:summon/looking
execute as @a[tag=created_wire] anchored eyes at @s unless block ^ ^ ^1 lightning_rod unless block ^ ^ ^2 lightning_rod unless block ^ ^ ^3 lightning_rod unless block ^ ^ ^4 lightning_rod run tag @s remove created_wire


# Kill commands
execute as @e[type=marker,tag=passthrough_wire_block] at @s unless block ~ ~ ~ #copperwire:chiseled_copper run kill @s
execute as @e[type=marker,tag=split_wire_block] at @s unless block ~ ~ ~ #copperwire:copper_block run kill @s
execute as @e[type=block_display,tag=capacitor_wire_block] at @s unless block ~ ~ ~ #copperwire:copper_grate run kill @s
execute as @e[type=marker,tag=cut_wire_block] at @s unless block ~ ~ ~ #copperwire:cut_copper run kill @s
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s unless block ~ ~ ~ lightning_rod run kill @s
execute as @e[type=marker,tag=copper_wiring,tag=!original] at @s unless entity @e[type=marker,tag=copper_wiring,tag=original,distance=...001] run tag @s add original
execute as @e[type=marker,tag=copper_wiring,tag=!original] at @s if entity @e[type=marker,tag=copper_wiring,tag=original,distance=...001] run kill @s


# 			ALL BELOW ARE FUNCTIONS THAT NEED TO BE OPTIMIZED AND NOT RUN ALL OF THE TIME IF POSSIBLE

# Non-looking at activations
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod positioned ^ ^ ^1 unless entity @e[type=marker,tag=copper_wiring,distance=...01] run function copperwire:summon/wire
execute as @e[type=marker,tag=copper_wiring] at @s if block ~ ~ ~ #copperwire:all_copper run function copperwire:summon/block

# Block functions
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=east,waterlogged=false] run function copperwire:wire/east
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=west,waterlogged=false] run function copperwire:wire/west
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=north,waterlogged=false] run function copperwire:wire/north
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=south,waterlogged=false] run function copperwire:wire/south
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=up,waterlogged=false] run function copperwire:wire/up
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=down,waterlogged=false] run function copperwire:wire/down

execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=east,waterlogged=true] run function copperwire:wire/east_water
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=west,waterlogged=true] run function copperwire:wire/west_water
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=north,waterlogged=true] run function copperwire:wire/north_water
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=south,waterlogged=true] run function copperwire:wire/south_water
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=up,waterlogged=true] run function copperwire:wire/up_water
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[facing=down,waterlogged=true] run function copperwire:wire/down_water

execute as @e[type=marker,tag=split_wire_block] at @s if block ~ ~ ~ #copperwire:copper_block run function copperwire:split_wire
execute as @e[type=marker,tag=cut_wire_block] at @s if block ~ ~ ~ #copperwire:cut_copper run function copperwire:cut_wire
execute as @e[type=marker,tag=passthrough_wire_block] at @s if block ~ ~ ~ #copperwire:chiseled_copper run function copperwire:passthrough_wire
execute as @e[type=block_display,tag=capacitor_wire_block] at @s if block ~ ~ ~ #copperwire:copper_grate run function copperwire:capacitor_wire

# Damaging players/mobs from shock damage and particles
execute as @e[type=!marker] at @s if block ~ ~ ~ minecraft:lightning_rod[powered=true,waterlogged=false] run damage @s 1 minecraft:lightning_bolt
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true,waterlogged=true] run execute as @e[type=!marker,distance=..1.575] at @s if predicate copperwire:waterlogged run damage @s 1 minecraft:lightning_bolt
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true] positioned ^ ^ ^.55 if block ~ ~ ~ air run execute as @e[type=!marker,distance=...6] at @s run damage @s 1 minecraft:lightning_bolt
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true] positioned ^ ^ ^.55 if block ~ ~ ~ air run particle electric_spark ^ ^ ^.05 0.01 0.01 0.01 .25 3
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true] positioned ^ ^ ^.55 if block ~ ~ ~ #copperwire:copper_grate run particle electric_spark ^ ^ ^.05 0.01 0.01 0.01 .25 3
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true] positioned ^ ^ ^-.5 if block ~ ~ ~ #copperwire:copper_grate run particle electric_spark ^ ^ ^ 0.01 0.01 0.01 .25 3
execute as @e[type=marker,tag=copper_wiring,tag=wire] at @s if block ~ ~ ~ lightning_rod[powered=true] positioned ^ ^ ^-.55 if block ~ ~ ~ #copperwire:copper_grate run particle electric_spark ^ ^ ^.05 0.01 0.01 0.01 .25 3

